<?php


namespace App\Entities\RespostaNumericaDecimal;


use App\Utils\Entity;

/**
 * Class RespostaNumericaDecimal
 * @package App\Entities\RespostaNumericaDecimal
 */
class RespostaNumericaDecimal extends Entity
{

    /**
     * @var
     */
    protected $id;
    /**
     * @var
     */
    protected $id_resposta_formulario;
    /**
     * @var
     */
    protected $resposta;

    /**
     * @return RespostaNumericaDecimalBuilder
     */
    public static function builder(): RespostaNumericaDecimalBuilder
    {
        return new RespostaNumericaDecimalBuilder;
    }

    /**
     * @return int
     */
    public function getId(): int
    {
        return $this->id;
    }

    /**
     * @return int
     */
    public function getIdRESPOSTAFORMULARIO(): int
    {
        return $this->id_resposta_formulario;
    }

    /**
     * @return float
     */
    public function getResposta(): float
    {
        return $this->resposta;
    }

    /**
     * @param int $id
     */
    public function setId(int $id): void
    {
        $this->id = $id;
    }

    /**
     * @param int $id_resposta_formulario
     */
    public function setIdRESPOSTAFORMULARIO(int $id_resposta_formulario): void
    {
        $this->id_resposta_formulario = $id_resposta_formulario;
    }

    /**
     * @param float $resposta
     */
    public function setResposta(float $resposta): void
    {
        $this->resposta = $resposta;
    }

}